For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all employees
        • GETGet an employee by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
BuildiumEmployees

Get all employees

GET
/v1/employees/
GET
/v1/employees/
$curl https://api.propexo.com/v1/employees/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "emp_987654321",
18 "x_property_id": "prop_123456789",
19 "x_location_id": null,
20 "name": "Jessica Martinez",
21 "email": null,
22 "is_active": null,
23 "roles": null,
24 "integration_id": "clwh5u07w000508me66sfh3um",
25 "integration_vendor": "BUILDIUM",
26 "property_id": "clwi5xiix000008l6ctdgafyh"
27 }
28 ]
29}
Get all employees
Was this page helpful?
Previous

Get an employee by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error